# Community Real Agency Pack  
_<p style="text-align: center;">v1.1 for KSP v1.3.1</p>_  

---

The _Community Real Agency Pack_ (in short, _CRAP_^^) is a KSP-community powered/driven collection of real world-entities from all around the world.

It contains large 255x160 .png logos for view in mission control, as well as downscaled 64x40 ones for the vehicle assembly building's manufacturer tab.

To round it up, it contains a neat selection almost a of background info, in multiple languages, powered by wikipedia and the copypaste foundation, although I'm not really sure where all that info gets displayed, haven't see any of it pop up anywhere yet^^  
_(Translation/localization WIP)_

_In a few words:_  
_CRAP_ is an agency framework, mostly intended for use with RealismOverhaul.

_Furthermore:_  
The _CRAP_ serves as well as reference for any modders, who make replicas, but aren't sure what exact manufacturer tag one should apply for having the parts in the proper manufacturer categories.  
The _CRAP_ heap of agencies is (hopefully) regularily updated, by... heaping up more... agencies :D , or whenever someone has the needs to add manufacturers, that our poor eyes had eluded before.



__Currently available agencies:__  
_(For exact manufacturer tags, see "agents.cfg")_

- Antonov
- Army Ballisic Missile Agency (ABMA)
- Aerojet
- Aerojet-Rocketdyne
- Airbus
- Airbus Defence & Space
- ArianeGroup
- Arianespace
- ATK
- BAE Systems
- Bell Aircraft
- Bendix Aviation
- Beriev
- Blue Origin
- Boeing
- Boeing IDS
- Bosch
- Bristol Siddeley
- California Institute of Technology (CalTech)
- Chrysler
- Convair
- Daimler-Benz
- Delco Electronics
- Douglas
- EADS
- EADS Astrium
- Electric Boat
- Embraer
- European Space Agency (ESA)
- Fokker
- General Atomics
- General Electric Aviation
- General Electric
- Godrej
- Grumman
- Hercules
- Honeywell
- Hughes
- HVA Peenemünde
- IBM
- International Launch Services (ILS)
- Indian Space Research Organisation (ISRO)
- Information Satellite Systems Reshetnev (ISSR)
- Jet Propulsion Lab (JPL)
- KB Khimavtomatika
- KB KhimMash
- KB Yuzhnoye
- Khrunichev
- Krasmash
- L3 Electron Devices (L3 EDD)
- Lockheed
- Lockheed Martin
- Los Alamos National Laboratory (LANL)
- Martin USA
- Martin Marietta
- Massachusetts Institute of Technology (MIT)
- Matra Marconi Space
- McDonnell
- McDonnell Douglas
- Mikoyan Gurevich (MiG)
- Mitsubishi
- Mittelwerk GmbH
- Moog
- NASA
- National Reconnaissance Office
- North American Aviation (NAA)
- North American Rockwell Space Division (NAR)
- Northrop Grumman
- NPO Almaz
- NPO Energomash
- NPO Lavochkin
- NPO Mashinostroyeniya
- OKB-1 (Soviet Star)
- Orbital ATK
- Orbital Sciences
- PA Polyot
- PA Yuzhmash
- Pratt & Whitney
- Raytheon
- RKK Energia
- RocketLab
- Rocketdyne
- Rockwell International
- Rolls-Royce
- Roscosmos
- RUAG Space
- Safran
- Siemens
- Snecma
- SNTK Kuznetsov
- SpaceX
- Suchoi
- Teledyne Technologies
- Thiokol
- TsSKB-Progress
- Tupolev
- United Launch Alliance (ULA)
- United Technologies
- U.S. Department Of Energy (DOE)
- U.S. Naval Research Laboratory (NRL)
- Voronezh Mechanical Plant
- Yakovlev

__Requirements:__  
- _ModuleManager_, if you want to combine _CRAP_ with _DecalStickers_.
- _DecalStickers_ requires the _firespitter_ plugin, but it's bundled in its download.

__Compatibility/Integration:__  
- _CRAP_ Comes with a _ModuleManager_ patch for blackheart612's "_DecalStickers_" mod and adds all the agency logos to the decal selection, while removing all original Kerbal logos.
- The patch adds back all Kerbal logos if no _RealismOverhaul_ is present.
- And it adds logos from _FASA_, _SSTU_, _TD Industries_ and _North Kerbal Rcokwell_, if they are present and if no _RealismOverhaul_ is found.

__Recommendations:__  
- Makes not much of sense if installed on a stock "Kerbalized" game, since only very few Kerbal-modders use actual manufacturers.  
- Install a fully fledged Realism overhaul suite :D
- I do recommend using blackheart621's _DecalStickers_-mod, you can stick 'em where you want :D  
- _CRAP_ contains a "mild" swastika, representing the Third Reich (Mittelwerk GmbH) and a proper Soviet Star representing former Soviet OKBs, if you are unhappy with either, simply delete "ThirdReich_logo.png", "ThirdReich_logo_scaled.png", "CCCP_logo.png" and "CCCP_logo_scaled.png" from the Agencies\ subfolder in _CRAP_.

__Installation:__  
1. Standard procedures apply, first delete any old installments, if present.  
2. Extract the contents of "GameData" from the downloaded archive into your ".../KSP/Gamedata/..." folder, keeping subfolder structure. Voilá.  
3. If you want _CRAP_ work nice with _DecalStickers_, download and install _ModuleManager_. (Link see below in support section, but I guess you have it installed already anyways^^)

__Support:__  
For any manufacturer update requests or bug report, please don't hesitate to open an issue on GitHub:  
https://github.com/h0yer/CommunityRealAgencyPack  
or post on the KSP-Forums:  
https://forum.kerbalspaceprogram.com/index.php?/topic/166314-131-community-real-agency-pack-v10/  
You can find the nice _DecalStickers_ mod here: (comes with _firespitter_ plugin)  
https://forum.kerbalspaceprogram.com/index.php?/topic/153149-130-decal-stickers-custom-flags-agencies-support-71317/  
If you need to install _ModuleManager_, check dis out:  
https://forum.kerbalspaceprogram.com/index.php?/topic/50533-130-module-manager-281-june-29th-2017-with-n-cats-physics/  

__Credits:__  
Original Creator: Jan Hoyer (KSP-Forums/GitHub: h0yer)  
The entire RealismOverhaul team, because reasons.  
TiktaalikDreaming (KSP-Forums) for providing the "North American Rockwell Space Division" logo and his continuous support (ElectricBoat, GeneralAtomics).  
For credits on all other logos, see "CREDITS.TXT" inside the compressed archive or  
https://github.com/h0yer/CommunityRealAgencyPack/CREDITS.TXT
